#!/usr/bin/perl
my ($arg1) = @ARGV;

my $i = 0;
my @Files;
my $output = '';

$|=1;
# Go through all directories and fill the hash
@Files = ParseDirs($arg1, @Files, \$i);

foreach(@Files)
{
  my $fname = $_;
  my $locout = '';

  open(FILE, '<'.$fname) or next;
  my @fconts = <FILE>;
  close(FILE);
  map(s/\n//gis, @fconts);
  foreach(@fconts)
  {
  	if ($_ =~ /^\s*(#define\s+?((?:ABM|ACM|ACN|BCM|BM|BN|CB|CBEM|CBEN|CBN|CCM|CDM|CDN|DM|DTM|DTN|EM|EN|FM|HDM|HDN|HKM|ICM|IPM|IPN|LB|LBN|LM|LVM|LVN|MCM|MCN|NM|PBM|PGM|PGN|PSM|RB|RBN|SB|SBM|SBN|STM|STN|TB|TBM|TBN|TCM|TCN|TTM|TTN|TVN|UDM|UDN|WM)_.+?)[\s\t]+?.+?)$/i)
  	{
  	  my $x = $_;
          $x =~ s/^[\t\s]+//;
          $x =~ s/#define[\s\t]+/#define /gis;
          $x =~ s/#define[\s\t]+/#define /gis;
          $x =~ s/#define[\s\t]+/#define /gis;
          $x =~ s/#define[\s\t]+/#define /gis;
  	  $locout .= "  $_\n";
  	}
  }
  if($locout ne '')
  {
    $output .= "// [$fname]\n".$locout;
  }
}

print "// THIS FILE *MUST* BE REVIEWED TO CHECK FOR INVALID DEFINES!\n";
print $output;
exit;

sub ParseDirs
{
  my ($startdir, @href, $iref) = @_;
  opendir(DIR, $startdir);
  my @thisdir = readdir(DIR);
  closedir(DIR);
  foreach (@thisdir)
  {
    unless (($_ eq '.') || ($_ eq '..'))
    {
      if (-d $startdir.'/'.$_) # Directories
      {
        ParseDirs($startdir.'/'.$_, @href, $iref);
      }
      else # Files
      {
      	if($_ =~ /\.h$/)
      	{
      	  push(@href, "$startdir/$_");
      	}
      }
    }
  }
  return @href;
}

__END__
