// WindowMessages.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "WindowMessages.h"
#include "WindowMessagesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWindowMessagesApp

BEGIN_MESSAGE_MAP(CWindowMessagesApp, CWinApp)
	//{{AFX_MSG_MAP(CWindowMessagesApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWindowMessagesApp construction

CWindowMessagesApp::CWindowMessagesApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CWindowMessagesApp object

CWindowMessagesApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CWindowMessagesApp initialization

BOOL CWindowMessagesApp::InitInstance()
{
	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	HMODULE hRich = LoadLibrary(TEXT("Riched32.dll"));
	if(!hRich)
	{
		hRich = LoadLibrary(TEXT("Riched20.dll"));
	}
	CWindowMessagesDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
/*
	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}
*/
	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
