// WindowMessagesDlg.h : header file
//

#if !defined(AFX_WINDOWMESSAGESDLG_H__698F582E_8B3E_4F50_9097_EA34156B2210__INCLUDED_)
#define AFX_WINDOWMESSAGESDLG_H__698F582E_8B3E_4F50_9097_EA34156B2210__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HexEdit.h"

/////////////////////////////////////////////////////////////////////////////
// CWindowMessagesDlg dialog

class CWindowMessagesDlg : public CDialog
{
// Construction
public:
	CWindowMessagesDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWindowMessagesDlg)
	enum { IDD = IDD_WINDOWMESSAGES_DIALOG };
	CEdit	m_Edit1;
	CHexEdit	m_Edit2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWindowMessagesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

private:
	HWND m_LastViewer;
	BOOL m_notreat;
	CBrush m_Gray;
	UINT m_Focus;
	void CheckClipboardData();

	void PrepareOutput(UINT value);

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CWindowMessagesDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnUpdateEditMsg();
	afx_msg void OnUpdateEditMsg2();
	afx_msg void OnClose();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnSetfocusEditMsg();
	afx_msg void OnSetfocusEditMsg2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINDOWMESSAGESDLG_H__698F582E_8B3E_4F50_9097_EA34156B2210__INCLUDED_)
